## hugs98 98.199911

=== src/bcc32/Makefile ===
# Generated automatically from Makefile.in by configure.
# --------------------------------------------------------------------------
# Makefile for Hugs
#
# The Hugs 98 system is Copyright (c) Mark P Jones, Alastair Reid, the
# Yale Haskell Group, and the Oregon Graduate Institute of Science and
# Technology, 1994-1999, All rights reserved.  It is distributed as
# free software under the license in the file "License", which is
# included in the distribution.
# --------------------------------------------------------------------------

# Targets:
#
# <default>:   	 make hugs.exe and runhugs.exe
# install:	 make and install programs/libraries
# hugs.exe:    	 make minimal working system
# runhugs.exe:	 make batch-mode version of Hugs
# clean:       	 delete files not required in running system
# distclean:     delete files that can be regenerated using C compiler
# veryclean:     delete all machine generated files 
#                  (you need perl, bison/yacc, etc to rebuild these files)
# check:	 run regression tests
# TAGS:          build emacs TAGS table

# This rule goes first to make it the default choice
default		:: hugs.exe runhugs.exe

CC		= bcc32
CFLAGS		= -j5 -w-pia -w-aus -w-par -w-rvl* 
OPTFLAGS	= -d -y-

LD		= ld
LDFLAGS    	=   
DLL_FLAGS	= -WDE
PIC_FLAGS	= 
LIBS		=  

YACC		= byacc
RM		= DEL
CP		= COPY



.SUFFIXES	:
.SUFFIXES	: .c .h .obj
HFILES		= prelude.h config.h options.h storage.h connect.h \
		  errors.h command.h server.h
CFILES		= hugs.c storage.c input.c static.c type.c subst.c \
		  output.c compiler.c machine.c interp.c builtin.c \
		  server.c
INCFILES	= parser.c preds.c bignums.c machdep.c timer.c \
		  printer.c iomonad.c interns.c stmonad.c array.c
YFILES		= parser.y
SOURCES		= $(HFILES) $(CFILES) $(INCFILES) $(YFILES) 
OBJECTS		= storage.obj input.obj static.obj type.obj compiler.obj \
		  subst.obj plugin.obj builtin.obj machine.obj output.obj
IOBJECTS	= hugs.obj $(OBJECTS)
PRELUDE		= config.h options.h prelude.h win-text.h

################################################################
# Hugs interpreter and standalone evaluator
################################################################

hugs.exe	: $(IOBJECTS)  
		  $(CC) $(LDFLAGS) @iobjects.rsp $(LIBS) -ohugs.exe 
		  

SERVER_OBJECTS	= server.obj $(OBJECTS) 
runhugs.obj	: $(PRELUDE) hugs.c machdep.c timer.c runhugs.c
runhugs.exe	: runhugs.obj $(SERVER_OBJECTS)
		  $(CC) $(LDFLAGS) runhugs.obj @sobjects.rsp $(LIBS) -orunhugs.exe

################################################################
# Clean, distclean, veryclean, TAGS
################################################################

clean		::
		  $(RM) *.o
		  $(RM) *.O
		  $(RM) *.obj
		  $(RM) *.OBJ
		  $(RM) *.LIB
		  $(RM) *.DEF
		  $(RM) *.RES
		  $(RM) *.EXP
		  $(RM) *.ILK
		  $(RM) *.PDB
		  $(RM) *.TD2
		  $(RM) *.MAP
		  $(RM) *.CSM
		  $(RM) *.TR2
		  $(RM) *.DSW
		  $(RM) *.aux
		  $(RM) *.hp

distclean	:: clean
distclean	::
		  $(RM) hugs.exe
		  $(RM) runhugs.exe
		  $(RM) *.pdf
		  $(RM) TAGS
		  $(RM) *~
veryclean	:: distclean
veryclean	::
		  $(RM) options.h
		  $(RM) config.h
		  $(RM) *.rsp

TAGS		::
		  etags *.[ych]

################################################################
# Dependencies
################################################################

.c.obj	:
		  $(CC) -c $(CFLAGS) $(OPTFLAGS) $<

# These are compiled with less optimisation to avoid optimisation bugs in
# certain compilers.  This may be overly conservative on some compilers.
compiler.obj	: compiler.c
		  $(CC) -c $(CFLAGS) compiler.c
static.obj	: static.c
		  $(CC) -c $(CFLAGS) static.c

# parser.c	: parser.y
# 		  -$(YACC) parser.y
# 		  mv y.tab.c parser.c
# veryclean	::
# 		  $(RM) parser.c

server.obj	: $(PRELUDE) storage.h connect.h errors.h version.h \
		  command.h machdep.c timer.c hugs.c server.c server.h
hugs.obj	: $(PRELUDE) storage.h connect.h errors.h version.h \
		  command.h machdep.c timer.c winhugs.c 
storage.obj	: $(PRELUDE) storage.h connect.h errors.h
input.obj	: $(PRELUDE) storage.h connect.h errors.h \
		  parser.c command.h
subst.obj	: $(PRELUDE) storage.h connect.h errors.h subst.h
static.obj	: $(PRELUDE) storage.h connect.h errors.h subst.h \
		  scc.c
type.obj	: $(PRELUDE) storage.h connect.h errors.h subst.h \
		  scc.c preds.c
output.obj	: $(PRELUDE) storage.h connect.h errors.h
compiler.obj	: $(PRELUDE) storage.h connect.h errors.h 
machine.obj	: $(PRELUDE) storage.h connect.h errors.h
plugin.obj	: $(PRELUDE) storage.h connect.h errors.h
builtin.obj	: $(PRELUDE) storage.h connect.h errors.h \
		  bignums.c printer.c iomonad.c interns.c stmonad.c array.c
win-text.obj	: $(PRELUDE) win-text.h

################################################################
# Regression tests (none supplied)
################################################################

check		:


################################################################
# End of Makefile
################################################################

=== src/djgpp2/Makefile ===
# --------------------------------------------------------------------------
# Makefile for Hugs (adapted for use with djgpp2)
#
# The Hugs 98 system is Copyright (c) Mark P Jones, Alastair Reid, the
# Yale Haskell Group, and the Oregon Graduate Institute of Science and
# Technology, 1994-1999, All rights reserved.  It is distributed as
# free software under the license in the file "License", which is
# included in the distribution.
# --------------------------------------------------------------------------

# Targets:
#
# <default>:   	 make hugs.exe
# hugs.exe:    	 make minimal working system
# runhugs.exe:   make standalone evaluator
# clean:       	 delete files not required in running system
# distclean:     delete files that can be regenerated using C compiler
# veryclean:     delete all machine generated files 
#                  (you need perl, bison/yacc, etc to rebuild these files)
# check:	 run regression tests
# TAGS:          build emacs TAGS table

# This rule goes first to make it the default choice
default		:: hugs.exe runhugs.exe

CC		= gcc
CFLAGS		= -g -O

LD		= gcc
LDFLAGS    	= 
LIBS		= 

YACC		= bison -y
RM		= DEL
CP		= COPY

.SUFFIXES	:
.SUFFIXES	: .c .h .o
HFILES		= prelude.h config.h options.h storage.h connect.h \
		  subst.h errors.h command.h server.h
CFILES		= hugs.c storage.c input.c static.c type.c subst.c \
		  output.c compiler.c machine.c builtin.c \
		  server.c
INCFILES	= parser.c preds.c bignums.c subst.c machdep.c timer.c \
		  printer.c iomonad.c interns.c stmonad.c array.c
YFILES		= parser.y
SOURCES		= $(HFILES) $(CFILES) $(INCFILES) $(YFILES) 
OBJECTS		= storage.o input.o static.o type.o subst.o compiler.o \
		  plugin.o builtin.o machine.o output.o
IOBJECTS	= hugs.o $(OBJECTS)
PRELUDE		= config.h options.h prelude.h win-text.h

################################################################
# Hugs interpreter and standalone evaluator
################################################################

hugs.exe	: $(IOBJECTS)  
		  $(LD) $(LDFLAGS) -o hugs.exe $(IOBJECTS) $(LIBS)
#		  strip hugs.exe
#		  coff2exe hugs.exe		# for DJGPP2

SERVER_OBJECTS	= server.o $(OBJECTS) 

runhugs.o	: config.h options.h server.h runhugs.c
runhugs.exe	: runhugs.o $(SERVER_OBJECTS)
		  $(LD) $(LDFLAGS) -o runhugs.exe runhugs.o $(SERVER_OBJECTS) $(LIBS) 

################################################################
# Clean, distclean, veryclean, TAGS
################################################################

clean		::
		  $(RM) *.o
		  $(RM) *.aux
		  $(RM) *.hp
		  $(RM) *.def
		  $(RM) *.exp
		  $(RM) *.ilk
		  $(RM) *.lib
		  $(RM) *.pdb
		  $(RM) *.td2
		  $(RM) *.map
		  $(RM) *.csm
		  $(RM) *.MAP
		  $(RM) *.TR2
		  $(RM) *.RES
		  $(RM) *.DSW
		  $(RM) *.OBJ
distclean	:: clean
distclean	::
		  $(RM) hugs.exe
		  $(RM) runhugs.exe 
		  $(RM) *.lib
		  $(RM) *.pdf
		  $(RM) TAGS
		  $(RM) *~
veryclean	:: distclean

TAGS		::
		  etags *.[ych]

################################################################
# Dependencies
################################################################

.c.o		:
		  $(CC) -c $(CFLAGS) $(OPTFLAGS) $<

# These are compiled with less optimisation to avoid optimisation bugs in
# certain compilers.  This may be overly conservative on some compilers.
compiler.o	: compiler.c
		  $(CC) -c $(CFLAGS) compiler.c
static.o	: static.c
		  $(CC) -c $(CFLAGS) static.c

# parser.c	: parser.y
# 		  -$(YACC) parser.y
# 		  mv y.tab.c parser.c
# veryclean	::
# 		  $(RM) parser.c

server.o	: $(PRELUDE) storage.h connect.h errors.h \
		  command.h machdep.c timer.c server.c server.h
hugs.o		: $(PRELUDE) storage.h connect.h errors.h \
		  command.h machdep.c timer.c winhugs.c 
storage.o	: $(PRELUDE) storage.h connect.h errors.h
input.o		: $(PRELUDE) storage.h connect.h errors.h \
		  parser.c command.h
subst.o		: $(PRELUDE) storage.h connect.h errors.h subst.h
static.o	: $(PRELUDE) storage.h connect.h errors.h subst.h \
		  scc.c
type.o		: $(PRELUDE) storage.h connect.h errors.h subst.h \
		  preds.c scc.c
output.o	: $(PRELUDE) storage.h connect.h errors.h
compiler.o	: $(PRELUDE) storage.h connect.h errors.h \
		  compiler.c
machine.o	: $(PRELUDE) storage.h connect.h errors.h
plugin.o	: $(PRELUDE) storage.h connect.h errors.h
builtin.o	: $(PRELUDE) storage.h connect.h errors.h \
		  bignums.c printer.c iomonad.c interns.c stmonad.c array.c

################################################################
# Regression tests (none supplied)
################################################################

check		:


################################################################
# End of Makefile
################################################################

=== src/msc/Makefile ===
# Generated automatically from Makefile.in by configure.
# --------------------------------------------------------------------------
# Makefile for Hugs
#
# The Hugs 98 system is Copyright (c) Mark P Jones, Alastair Reid, the
# Yale Haskell Group, and the Oregon Graduate Institute of Science and
# Technology, 1994-1999, All rights reserved.  It is distributed as
# free software under the license in the file "License", which is
# included in the distribution.
# --------------------------------------------------------------------------

# Targets:
#
# <default>:   	 make hugs.exe and runhugs.exe
# install:	 make and install programs/libraries
# hugs.exe:    	 make minimal working system
# runhugs.exe:	 make batch-mode version of Hugs
# clean:       	 delete files not required in running system
# distclean:     delete files that can be regenerated using C compiler
# veryclean:     delete all machine generated files 
#                  (you need perl, bison/yacc, etc to rebuild these files)
# check:	 run regression tests
# TAGS:          build emacs TAGS table

# This rule goes first to make it the default choice
default		:: hugs.exe runhugs.exe

CC		= cl /nologo
CFLAGS		= -ML 
OPTFLAGS	= -O2

LD		= ld
LDFLAGS    	=   
DLL_FLAGS	= /LD
PIC_FLAGS	= 
LIBS		=  kernel32.lib advapi32.lib

YACC		= byacc
RM		= del
CP		= copy



.SUFFIXES	:
.SUFFIXES	: .c .h .obj
HFILES		= prelude.h config.h options.h storage.h connect.h \
		  errors.h command.h server.h
CFILES		= hugs.c storage.c input.c static.c type.c subst.c \
		  output.c compiler.c machine.c interp.c builtin.c \
		  server.c
INCFILES	= parser.c preds.c bignums.c scc.c machdep.c timer.c \
		  printer.c iomonad.c interns.c stmonad.c array.c
YFILES		= parser.y
SOURCES		= $(HFILES) $(CFILES) $(INCFILES) $(YFILES) 
OBJECTS		= storage.obj input.obj static.obj type.obj subst.obj \
          compiler.obj plugin.obj builtin.obj machine.obj output.obj
IOBJECTS	= hugs.obj $(OBJECTS)
PRELUDE		= config.h options.h prelude.h win-text.h

################################################################
# Hugs interpreter and standalone evaluator
################################################################

hugs.exe	: $(IOBJECTS)  
		  $(CC) $(LDFLAGS) $(IOBJECTS)  $(LIBS) -o hugs.exe 
		  

SERVER_OBJECTS	= server.obj $(OBJECTS) 
runhugs.obj	: $(PRELUDE) hugs.c machdep.c timer.c runhugs.c
runhugs.exe	: runhugs.obj $(SERVER_OBJECTS)
		  $(CC) $(LDFLAGS) runhugs.obj $(SERVER_OBJECTS) $(LIBS) -o runhugs.exe

################################################################
# Clean, distclean, veryclean, TAGS
################################################################

clean		::
		  $(RM) *.o
		  $(RM) *.O
		  $(RM) *.obj
		  $(RM) *.OBJ
		  $(RM) *.LIB
		  $(RM) *.DEF
		  $(RM) *.RES
		  $(RM) *.EXP
		  $(RM) *.ILK
		  $(RM) *.PDB
		  $(RM) *.TD2
		  $(RM) *.MAP
		  $(RM) *.CSM
		  $(RM) *.TR2
		  $(RM) *.DSW
		  $(RM) *.aux
		  $(RM) *.hp
distclean	:: clean
distclean	::
		  $(RM) hugs.exe
		  $(RM) runhugs.exe
		  $(RM) *.pdf
		  $(RM) TAGS
		  $(RM) *~
veryclean	:: distclean
veryclean	::
		  $(RM) options.h
		  $(RM) config.h
TAGS		::
		  etags *.[ych]

################################################################
# Dependencies
################################################################

.c.obj	:
		  $(CC) -c $(CFLAGS) $(OPTFLAGS) $<

# These are compiled with less optimisation to avoid optimisation bugs in
# certain compilers.  This may be overly conservative on some compilers.
compiler.obj	: compiler.c
		  $(CC) -c $(CFLAGS) compiler.c
static.obj	: static.c
		  $(CC) -c $(CFLAGS) static.c

# parser.c	: parser.y
# 		  -$(YACC) parser.y
# 		  mv y.tab.c parser.c
# veryclean	::
# 		  $(RM) parser.c

server.obj	: $(PRELUDE) storage.h connect.h errors.h version.h \
		  command.h machdep.c timer.c hugs.c server.c server.h
hugs.obj	: $(PRELUDE) storage.h connect.h errors.h version.h \
		  command.h machdep.c timer.c winhugs.c 
storage.obj	: $(PRELUDE) storage.h connect.h errors.h
input.obj	: $(PRELUDE) storage.h connect.h errors.h \
		  parser.c command.h
subst.obj	: $(PRELUDE) storage.h connect.h errors.h subst.h
static.obj	: $(PRELUDE) storage.h connect.h errors.h subst.h \
           scc.c
type.obj	: $(PRELUDE) storage.h connect.h errors.h subst.h \
		  scc.c preds.c
output.obj	: $(PRELUDE) storage.h connect.h errors.h
compiler.obj	: $(PRELUDE) storage.h connect.h errors.h 
machine.obj	: $(PRELUDE) storage.h connect.h errors.h
plugin.obj	: $(PRELUDE) storage.h connect.h errors.h
builtin.obj	: $(PRELUDE) storage.h connect.h errors.h \
		  bignums.c printer.c iomonad.c interns.c stmonad.c array.c
win-text.obj	: $(PRELUDE) win-text.h

################################################################
# Regression tests (none supplied)
################################################################

check		:


################################################################
# End of Makefile
################################################################

=== src/unix/Makefile ===
ROOT := ${subst /src/unix,,${shell pwd}}
OPTS =  \
	--with-readline \
	--disable-large-banner
GNULIBS = 

config: configure
	-rm config.cache
	LIBS=${GNULIBS} hugsdir=${ROOT} ./configure ${OPTS} --datadir=${ROOT}

configure: configure.in
	autoconf
	autoheader

=== src/win32/Makefile ===
# Generated automatically from Makefile.in by configure.
# --------------------------------------------------------------------------
# Makefile for Hugs
#
# The Hugs 98 system is Copyright (c) Mark P Jones, Alastair Reid, the
# Yale Haskell Group, and the Oregon Graduate Institute of Science and
# Technology, 1994-1999, All rights reserved.  It is distributed as
# free software under the license in the file "License", which is
# included in the distribution.
# --------------------------------------------------------------------------

# Targets:
#
# <default>:   	 make hugs.exe
# install:	 make and install programs/libraries
# hugs.exe:    	 make minimal working system
# clean:       	 delete files not required in running system
# distclean:     delete files that can be regenerated using C compiler
# veryclean:     delete all machine generated files 
#                  (you need perl, bison/yacc, etc to rebuild these files)
# check:	 run regression tests
# TAGS:          build emacs TAGS table

# This rule goes first to make it the default choice
default		:: hugs.exe

CC		= bcc32
CFLAGS		= -j5 -w-pia -w-aus -w-par -w-rvl* 
OPTFLAGS	= -d -y-

LD		= ld
LDFLAGS    	=  -W  
DLL_FLAGS	= -WDE
PIC_FLAGS	= 
LIBS		=  

YACC		= byacc
RM		= /bin/rm -f
CP		= /bin/cp



.SUFFIXES	:
.SUFFIXES	: .c .h .obj
HFILES		= prelude.h config.h options.h storage.h connect.h \
		  errors.h command.h server.h
CFILES		= hugs.c storage.c input.c static.c type.c subst.c \
		  output.c compiler.c machine.c interns.c builtin.c \
		  server.c
INCFILES	= parser.c preds.c bignums.c scc.c machdep.c timer.c \
		  printer.c iomonad.c interns.c stmonad.c array.c
YFILES		= parser.y
SOURCES		= $(HFILES) $(CFILES) $(INCFILES) $(YFILES) 
OBJECTS		= storage.obj input.obj static.obj type.obj subst.obj \
		  compiler.obj plugin.obj builtin.obj machine.obj output.obj
IOBJECTS	= hugs.obj $(OBJECTS)
PRELUDE		= config.h options.h prelude.h win-text.h

################################################################
# Hugs interpreter and standalone evaluator
################################################################

hugs.exe	: $(IOBJECTS) win-text.obj hugs32.rc
		  $(CC) $(LDFLAGS) @iobjects.rsp win-text.obj $(LIBS) -ohugs.exe 
		  brc32 hugs32.rc hugs.exe -w32

################################################################
# Clean, distclean, veryclean, TAGS
################################################################

clean		::
		  $(RM) *.o
		  $(RM) *.O
		  $(RM) *.obj
		  $(RM) *.OBJ
		  $(RM) *.LIB
		  $(RM) *.DEF
		  $(RM) *.RES
		  $(RM) *.EXP
		  $(RM) *.ILK
		  $(RM) *.PDB
		  $(RM) *.TD2
		  $(RM) *.MAP
		  $(RM) *.CSM
		  $(RM) *.TR2
		  $(RM) *.DSW
		  $(RM) *.aux
		  $(RM) *.hp
distclean	:: clean
distclean	::
		  $(RM) hugs.exe
		  $(RM) *.pdf
		  $(RM) TAGS
		  $(RM) *~
veryclean	:: distclean
veryclean	::
		  $(RM) options.h
		  $(RM) config.h
		  $(RM) iobjects.rsp
TAGS		::
		  etags *.[ych]

################################################################
# Dependencies
################################################################

.c.obj	:
		  $(CC) -c $(CFLAGS) $(OPTFLAGS) $<

# These are compiled with less optimisation to avoid optimisation bugs in
# certain compilers.  This may be overly conservative on some compilers.
compiler.obj	: compiler.c
		  $(CC) -c $(CFLAGS) compiler.c
static.obj	: static.c
		  $(CC) -c $(CFLAGS) static.c

# parser.c	: parser.y
# 		  -$(YACC) parser.y
# 		  mv y.tab.c parser.c
# veryclean	::
# 		  $(RM) parser.c

server.obj	: $(PRELUDE) storage.h connect.h errors.h version.h \
		  command.h machdep.c timer.c hugs.c server.c server.h
hugs.obj	: $(PRELUDE) storage.h connect.h errors.h version.h \
		  command.h machdep.c timer.c winhugs.c 
storage.obj	: $(PRELUDE) storage.h connect.h errors.h
input.obj	: $(PRELUDE) storage.h connect.h errors.h \
		  parser.c command.h
subst.obj	: $(PRELUDE) storage.h connect.h errors.h subst.h
static.obj	: $(PRELUDE) storage.h connect.h errors.h subst.h \
		  scc.c
type.obj	: $(PRELUDE) storage.h connect.h errors.h subst.h \
		  preds.c scc.c
output.obj	: $(PRELUDE) storage.h connect.h errors.h
compiler.obj	: $(PRELUDE) storage.h connect.h errors.h 
machine.obj	: $(PRELUDE) storage.h connect.h errors.h
plugin.obj	: $(PRELUDE) storage.h connect.h errors.h
builtin.obj	: $(PRELUDE) storage.h connect.h errors.h \
		  bignums.c printer.c iomonad.c interns.c stmonad.c array.c
win-text.obj	: $(PRELUDE) win-text.h

################################################################
# Regression tests (none supplied)
################################################################

check		:


################################################################
# End of Makefile
################################################################

## hugs98 98.200109-5

=== docs/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for Documentation
# Note that some documentation is in other directories.

RM		= /bin/rm -f

all::		server.ps hugs.man

server.ps:	server.dvi
		dvips server.dvi -o server.ps

server.dvi:	server.tex 
		latex server.tex

hugs.man:	hugs.1
		groff -Tascii -man hugs.1 | cat -s >$@

hugs.ps:	hugs.1
		groff -Tps -man hugs.1 >$@

distclean:
		$(RM) server.ps server.dvi
		$(RM) hugs.man hugs.ps

veryclean:	distclean
		$(RM) Makefile hugs.1

# End of Makefile

=== debian/changelog ===
hugs98 (98.200109-5) unstable; urgency=low

  * Remove Pre-Depends on autoconf. (Closes: #112189)
  * Patch thanks to Andre Dahlqvist.

 -- William Lee Irwin III <wli@holomorphy.com>  Tue, 23 Oct 2001 18:11:08 +0200

hugs98 (98.200109-4.1) unstable; urgency=low

  * NMU
  * Add build-depends: autoconf.  Closes: #111773

 -- LaMont Jones <lamont@debian.org>  Sat, 13 Oct 2001 06:47:47 -0600

hugs98 (98.200109-4) unstable; urgency=low

  * HUGSDIR fix attempt

 -- William Lee Irwin III <wli@holomorphy.com>  Mon, 10 Sep 2001 15:30:17 -0700

hugs98 (98.200109-3) unstable; urgency=low

  * Closes: #11343 (tries writing to /usr/local)
  * Closes: #11373 (missing build-depends on autoconf)
  * nuked the ungzipped manpages

 -- William Lee Irwin III <wli@holomorphy.com>  Sun,  9 Sep 2001 15:34:36 -0700

hugs98 (98.200109-2) unstable; urgency=low

  * Fixed rules file so the thing actually builds after make clean
  * Closes: #111265 (tries to install into the root fs during build)
  * Fixed lintian warnings regarding .comment and .note sections

 -- William Lee Irwin III <wli@holomorphy.com>  Wed,  5 Sep 2001 01:48:38 -0700

hugs98 (98.200109-1) unstable; urgency=low

  * Updated to Feb2001 version.
  * Closes: #110703 (New upstream release)

 -- William Lee Irwin III <wli@holomorphy.com>  Tue,  4 Sep 2001 01:31:05 -0700

hugs98 (98.200002-3) unstable; urgency=low

  * Fixed changelog so the bug would close.
  * Closes: #43666 (runhugs has no manpage)
  * Closes: #68186 (ITA hugs by Antti-Juhani Kaijanaho)
 -- William Lee Irwin III <wli@holomorphy.com>  Sat, 13 Jan 2001 13:54:11 -0800

hugs98 (98.200002-2) unstable; urgency=low

  * Added manpage for runhugs. Closes #43666.
  * Fixed some compilation errors with the new glibc.
  * New maintainer.

 -- William Lee Irwin III <wli@holomorphy.com>  Wed, 10 Jan 2001 18:40:59 -0800

hugs98 (98.200002-1) unstable; urgency=low

  * New upstream release.
  * Use libreadline4 and libncurses5.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  9 Apr 2000 15:02:31 +0300

hugs98 (98.199911-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version 3.1.1
      + debian/control: Add a Build-Depends line.
      + debian/rules: Remove the build-depends check.
      + debian/check-sourcedeps: Removed.
  * debian/control [Description]: Edited slightly.
  * debian/copyright: Updated source download information.
  * src/Makefile.in: make veryclean not remove configure

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 17 Nov 1999 22:34:47 +0200

hugs98 (98.199909.0.19991020-1) unstable; urgency=low

  * New upstream minor bugfix release.  Upstream changed the tarball without
    changing  the version.  Just great.  
  * debian/rules: No need to make src/unix/configure executable anymore.
  * debian/control: Standards-Version 3.0.1, required changes already made
    earlier.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 20 Oct 1999 15:15:36 +0300

hugs98 (98.199909-2) unstable; urgency=low

  * debian/rules: Make src/unix/configure executable before calling it.
    Closes: #47523.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 16 Oct 1999 12:40:32 +0300

hugs98 (98.199909-1) unstable; urgency=low

  * New upstream release (Hugs 98 / September 1999).
      + Fixes a segfault reported by Havoc Pennington.  Closes: #45546.
      + New license (BSD-like without advertising clause).
  * debian/rules (debian/build.stamp): Build with GNU readline support,
    since the new license allows this.  Closes: #46155.
  * debian/README.Debian: Remove the note about no readline support,
    instead just state that we have it.
  * debian/copyright: Update the copyright license information.
  * debian/check-sourcedeps: New file.
  * debian/rules: Check build-time dependencies (libreadlineg2-dev).
  * src/hugs.c: To comply with Debian policy, check VISUAL in addition
    to EDITOR.
  * debian/rules: Move docs to /usr/share/doc.
  * debian/{prerm,postinst}: Implement the /usr/doc transition.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 14 Oct 1999 17:55:53 +0300

hugs98 (98.199905-4) unstable; urgency=low (medium for >= 98.199905-2)

  * debian/postinst: /usr/local subdirs should be group "staff".
  * debian/postinst: Don't create the /usr/local dirs if upgrading
    from >> 98.199905-3.
  * debian/prerm: Don't remove the /usr/local dirs on upgrade
  * debian/rules: Link from undocumented to runhugs.1.gz, not runhugs.1

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 29 Aug 1999 13:50:18 +0300

hugs98 (98.199905-3) unstable; urgency=low

  * debian/rules: WRT bug#43666, install an undocumented(7) symlink
    for runhugs(1).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 28 Aug 1999 23:57:19 +0300

hugs98 (98.199905-2) unstable; urgency=low

  * src/unix/acconfig.h: Define DEBIAN.
  * Ran src/unix/mkconfig so that the earlier EDITOR change
    can take effect.
  * debian/rules: Updated to match my latest preferences
       + factorize the install command into a variable
       + don't use install_zipped
       + use stamp files
       + use target-specific vars and lazy vars to create the
         directory name variables
       + don't test for rootness
       + separate clean target into clean-{build,binary}
       + remove the package root dir at the start of the binary targets
  * debian/rules: Install GreenCard.h into /usr/include/hugs
  * debian/README.Debian: Document the location of GreenCard.h.
  * debian/README.Debian: Added an extension module policy.
  * src/unix/configure: Add a new search path which conforms with the extension
    module policy, conditional to building on a Debian system.
  * Ran src/unix/mkconfig.
  * debian/postinst: Added commands to install /usr/local dirs as required.
  * debian/prerm: Removed the alternatives code as useless.
  * debian/preinst: Guarded the alternative removing code so that upgrading from
    98.199905-1 or later does not cause alternatives being removed.


=== debian/control ===
Source: hugs98
Section: interpreters
Priority: optional
Maintainer: William Lee Irwin III <wli@debian.org>
Standards-Version: 3.1.1
Build-Depends: libncurses5-dev, libreadline4-dev (>= 4.1), autoconf

Package: hugs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: hugs98
Provides: hugs98
Replaces: hugs98
Suggests: haskell-mode, haskell-doc, hugs-doc
Section: interpreters
Priority: optional
Description: A Haskell 98 interpreter
 Hugs is an interpreter for the non-strict, purely functional programming
 language Haskell.  This version of Hugs, Hugs 98, supports nearly all of
 the new Haskell 98 specification.
 .
 Documentation is available in the hugs-doc package.  The Haskell language
 is described by documents in the haskell-doc package.

=== debian/rules ===
#! /usr/bin/make -f
# -*- Makefile -*-

# Written by Antti-Juhani Kaijanaho <ajk@debian.org>.  Use, distribute
# and modify as you please.

# Modified slightly by William Irwin <wli@debian.org>

install := install -o root -g root
install_exec := $(install) -m 755 -s
install_dir := $(install) -m 755 -d
install_nonex = $(install) -m 644
install_script := $(install) -m 755
install_zipped := false
install_symlink = ln -s
GZIP := gzip -9v

tmpdir    := $(shell pwd)/debian/tmp
# These must not be :='s
rootdir    = $(tmpdir)/$(package)
docdir     = $(rootdir)/usr/share/doc/$(package)
sharedir   = $(rootdir)/usr/share
includedir = $(rootdir)/usr/include
mandir     = $(rootdir)/usr/share/man
man1dir    = $(mandir)/man1

build: debian/build.stamp
debian/build.stamp:
	$(checkdir)
	cd src/unix && make config hugsdir=/usr/share/hugs98 HUGSDIR=/usr/share/hugs98 \
		OPTS="--prefix=/usr --datadir=/usr/share --with-readline --mandir=$(mandir)"
	cd src && $(MAKE) HUGSDIR=/usr/share/hugs98 hugsdir=/usr/share/hugs98 CFLAGS+=-DHUGSDIR='\"/usr/share/hugs98\"'
	touch $@

binary: binary-arch binary-indep

binary-indep: debian/binary-indep.stamp
 debian/binary-indep.stamp:
	touch $@

binary-arch: debian/binary-arch.stamp
debian/binary-arch.stamp: package=hugs
debian/binary-arch.stamp: debian/build.stamp
	$(checkdir)
#	Create the filesystem
	$(RM) -r $(rootdir)
	$(install_dir) $(rootdir)
	$(install_dir) $(rootdir)/DEBIAN
	$(install_dir) $(docdir)
#	Install copyright file.
	$(install_nonex) debian/copyright $(docdir)
#	Install the change logs.
	$(install_nonex) debian/changelog $(docdir)/changelog.Debian
	$(GZIP) $(docdir)/changelog.Debian
#	Install the installation scripts
	$(install_script) debian/preinst debian/postinst \
	                  debian/prerm debian/postrm \
	  $(rootdir)/DEBIAN
#	Install the Green Card header file
	$(install_dir) $(includedir)/hugs
	$(install_nonex) src/GreenCard.h src/config.h src/options.h \
	  $(includedir)/hugs
#	Install the menu file
	$(install_dir) $(rootdir)/usr/lib/menu
	$(install_nonex) debian/menu \
	  $(rootdir)/usr/lib/menu/$(package)
#	Install the system.
	cd src && $(MAKE) prefix=$(rootdir)/usr \
	                               hugsdir=$(sharedir)/hugs98 \
	                           install
	chmod -R 644 $(sharedir)/hugs98
	chmod -R a+X $(sharedir)/hugs98
	strip -R .comment -R .note --strip-all $(rootdir)/usr/bin/*
	cd $(rootdir)/usr/bin && mv hugs hugs98 && mv runhugs runhugs98
	cd $(rootdir)/usr/bin && $(install_symlink) hugs98 hugs \
	  && $(install_symlink) runhugs98 runhugs
#	Move the supporting documentation to place
	$(install_dir) $(docdir)/examples
	$(install_nonex) debian/README.Debian $(docdir)
	mv $(sharedir)/hugs98/demos/* $(docdir)/examples
	rmdir $(sharedir)/hugs98/demos
#	Install the manual page
	$(install_dir) $(man1dir)
	$(install_nonex) docs/hugs.1 $(man1dir)
	$(install_nonex) docs/runhugs.1 $(man1dir)
	$(GZIP) $(man1dir)/hugs.1
	$(GZIP) $(man1dir)/runhugs.1
	-rm -f $(man1dir)/hugs.1 $(man1dir)/runhugs.1
#	Generate the binary control file.
	dpkg-shlibdeps $(rootdir)/usr/bin/*
	dpkg-gencontrol -isp -P$(rootdir)
#	Fix permissions.
	chown -R root.root $(rootdir)
	chmod -R g-ws $(rootdir)
#	Genearate the deb.
	dpkg --build $(rootdir) ..
	touch $@

define checkdir
	test -f Install -a -f debian/rules
endef

clean: clean-build clean-binary

clean-binary:
	$(RM) debian/binary-*.stamp
	$(RM) -r debian/tmp
	$(RM) debian/*~ debian/files debian/substvars


clean-build:
	-$(RM) debian/build*.stamp
	set -e ; cd src && if [ -e Makefile ] ; then $(MAKE) veryclean ; fi
	-cd src/unix && $(RM) config.log config.cache config.status
	-cd src && $(RM) Makefile config.h options.h

## hugs98 98.200311

=== Makefile ===
#
# A (GNU) Makefile for checking out libraries + buildings RPMs
#
include Defs.mk

all: fptools pp-fptools src/Makefile
	cd src; make

src/Makefile:
	cd src/unix; make config EXTRA_CONFIGURE_OPTS=$(EXTRA_CONFIGURE_OPTS)

#
# Utilities needed to check out and process fptools. To override
# these, set them on the command-line when invoking 'make':
#
#  foo$ make FIND=/usr/bin/find HAPPY=c:/happy/happy-1.15/bin/happy ...
#
# (You'll find 'hsc2hs' included in a GHC distribution.)
#
FIND=find
HAPPY=happy
HSC2HS=hsc2hs
CVS=cvs

fptools:
	-mkdir fptools
	$(CVS) -d ${CVSROOT} export -r${HSLIBSTAG} $(addprefix fptools/hslibs/,${HSLIBSDIRS})
	$(CVS) -d ${CVSROOT} export -r${LIBRARIESTAG} $(addprefix fptools/libraries/,${LIBRARIESDIRS})

.PHONY: pp-fptools

# Preprocess fptools checkout, so the package can be built
# without happy & ghc changes here should be reflected also
# in RPM.mk (sorry)
pp-fptools: fptools fptools/stamp-fptools

fptools/stamp-fptools:
	$(FIND) fptools/libraries -name "*.ly" -o -name "*.y" |\
		xargs -l $(HAPPY)
ifneq "$(USING_AN_OLDER_HSC2HS)" "YES"
	$(FIND) fptools/libraries -name "*.hsc" |\
		xargs -l $(HSC2HS) --no-compile --template=template-hsc.h
else
	$(FIND) fptools/libraries -name "*.hsc" |\
		xargs -l $(HSC2HS) --no-compile
	$(FIND) fptools/libraries -name "*_hsc_make.c" |\
		xargs src/unix/hsc_kludge
endif
	@touch fptools/stamp-fptools

include RPM.mk

=== fptools/hslibs/util/Makefile ===
# -----------------------------------------------------------------------------
# $Id: Makefile,v 1.32 2003/09/23 16:03:24 sof Exp $
#
# (c) The University of Glasgow 2002
#

TOP=..
include $(TOP)/mk/boilerplate.mk

ifneq "$(TARGETPLATFORM)" "i386-unknown-mingw32"
SUBDIRS  = cbits
endif
ALL_DIRS = check
PACKAGE      = util
PACKAGE_DEPS = lang concurrent

ifeq "$(GhcLibsWithReadline)" "YES"
PACKAGE_DEPS += readline
else
EXCLUDED_SRCS += Readline.hs
endif

SRC_HC_OPTS += -cpp

SRC_CC_OPTS += -I$(GHC_INCLUDE_DIR)

Memo_HC_OPTS += -funbox-strict-fields

ifeq "$(TARGETPLATFORM)" "i386-unknown-mingw32"
  EXCLUDED_SRCS += Select.lhs
  PACKAGE_DEPS := $(filter-out posix, $(PACKAGE_DEPS))
endif

include $(TOP)/mk/target.mk

=== fptools/libraries/GLUT/Makefile ===
# -----------------------------------------------------------------------------

TOP = ..
include $(TOP)/mk/boilerplate.mk

# -----------------------------------------------------------------------------

SUBDIRS = cbits include

ALL_DIRS = \
	Graphics/UI \
	Graphics/UI/GLUT \
	Graphics/UI/GLUT/Callbacks

PACKAGE = GLUT
PACKAGE_DEPS = base OpenGL

SRC_HC_OPTS += -Wall -fffi -Iinclude '-\#include "HsGLUT.h"' -cpp

# WinDoze DLL hell
ifeq "$(TARGETPLATFORM)" "i386-unknown-mingw32"
SRC_HC_OPTS += -DCALLCONV=stdcall
else
SRC_HC_OPTS += -DCALLCONV=ccall
endif

SRC_HADDOCK_OPTS += -t "HOpenGL Libraries (GLUT package)"

# yeuch, have to get GL_CFLAGS & GLUT_LIBS in through CPP to package.conf.in
comma = ,
PACKAGE_CPP_OPTS += -DGL_CFLAGS='$(patsubst %,$(comma)"%",$(GL_CFLAGS))'
PACKAGE_CPP_OPTS += -DGLUT_LIBS='$(patsubst %,$(comma)"%",$(GLUT_LIBS))'

# -----------------------------------------------------------------------------

STUBOBJS += \
   Graphics/UI/GLUT/Menu_stub.$(way_)o \
   Graphics/UI/GLUT/Callbacks/Global_stub.$(way_)o \
   Graphics/UI/GLUT/Callbacks/Registration_stub.$(way_)o \
   Graphics/UI/GLUT/Callbacks/Window_stub.$(way_)o

CLEAN_FILES += $(STUBOBJS) \
   Graphics/UI/GLUT/Menu_stub.[ch] \
   Graphics/UI/GLUT/Callbacks/Global_stub.[ch] \
   Graphics/UI/GLUT/Callbacks/Registration_stub.[ch] \
   Graphics/UI/GLUT/Callbacks/Window_stub.[ch]

# -----------------------------------------------------------------------------

.PHONY: examples

examples:
	$(MAKE) -C examples

# -----------------------------------------------------------------------------

include $(TOP)/mk/target.mk

=== fptools/libraries/base/Makefile ===
TOP=..
include $(TOP)/mk/boilerplate.mk

# -----------------------------------------------------------------------------

SUBDIRS = cbits include

ALL_DIRS = \
	Control \
	Control/Concurrent \
	Control/Parallel \
	Control/Monad \
	Control/Monad/ST \
	Data \
	Data/Generics \
	Data/Array \
	Data/Array/IO \
	Data/STRef \
	Debug \
	Foreign \
	Foreign/C \
	Foreign/Marshal \
	GHC \
	System \
	System/Console \
	System/Mem \
	System/IO \
	System/Posix \
	Text \
	Text/Html \
	Text/PrettyPrint \
	Text/ParserCombinators \
	Text/Regex \
	Text/Show \
	Text/Read

PACKAGE = base

SRC_HC_OPTS += -fglasgow-exts -cpp -Iinclude -\#include HsBase.h
SRC_HSC2HS_OPTS += -Iinclude -I$(FPTOOLS_TOP)/ghc/includes

# If there is no system-supplied POSIX regex library, use our own
ifneq "$(HavePosixRegex)" "YES"
# Make sure we can get hold of regex.h
SRC_HC_OPTS     += -Icbits/regex
SRC_HSC2HS_OPTS += -Icbits/regex
endif

# -----------------------------------------------------------------------------
# Per-module flags

# ESSENTIAL, for getting reasonable performance from the I/O library:
SRC_HC_OPTS += -funbox-strict-fields

# -----------------------------------------------------------------------------
# PrimOpWrappers

# These two lines are required for pre-processing ghc/compiler/prelude/primops.txt
SRC_CPP_OPTS += -I$(GHC_INCLUDE_DIR)
SRC_CPP_OPTS += ${GhcCppOpts}

ifeq "$(BootingFromHc)" "YES"
GHC/PrimopWrappers.hs:
	touch GHC/PrimopWrappers.hs
else
GHC/PrimopWrappers.hs: $(GHC_COMPILER_DIR)/prelude/primops.txt
	@$(RM) $@
	$(GHC_GENPRIMOP) --make-haskell-wrappers < $< > $@
endif

boot :: GHC/PrimopWrappers.hs

EXTRA_SRCS  += GHC/PrimopWrappers.hs
CLEAN_FILES += GHC/PrimopWrappers.hs

# -----------------------------------------------------------------------------

STUBOBJS += \
   Control/Concurrent_stub.$(way_)o
   
CLEAN_FILES += $(STUBOBJS) \
   Control/Concurrent_stub.[ch]

#-----------------------------------------------------------------------------
# 	Building the library for GHCi
#
# The procedure differs from that in fptools/mk/target.mk in one way:
#  (*) on Win32 we must split it into two, because a single .o file can't
#      have more than 65536 relocations in it [due to a bug in the GNU
#      linker.]

OBJECT_FILEFORMAT=unknown
ifeq "$(TARGETPLATFORM)" "i386-unknown-mingw32"
OBJECT_FILEFORMAT=PEi
endif
ifeq "$(TARGETPLATFORM)" "i386-unknown-cygwin32"
OBJECT_FILEFORMAT=PEi
endif

ifeq "$(OBJECT_FILEFORMAT)" "PEi"

# Turn off standard rule which creates HSbase.o from LIBOBJS.
DONT_WANT_STD_GHCI_LIB_RULE=YES

GHCI_LIBOBJS = $(HS_OBJS)

INSTALL_LIBS += HSbase1.o HSbase2.o HSbase3.o

endif # OBJECT_FILEFORMAT = PEi


# -----------------------------------------------------------------------------
# Doc building with Haddock

EXCLUDED_HADDOCK_SRCS = \
	GHC/PrimopWrappers.hs \
	GHC/PArr.hs

SRC_HADDOCK_OPTS += -t "Haskell Hierarchical Libraries ($(PACKAGE) package)" \
	--no-implicit-prelude

# -----------------------------------------------------------------------------

include $(TOP)/mk/target.mk

ifeq "$(OBJECT_FILEFORMAT)" "PEi"
HSbase.o : $(GHCI_LIBOBJS)
	$(LD) -r $(LD_X) -o HSbase1.o $(filter     GHC/%, $(GHCI_LIBOBJS))
	$(LD) -r $(LD_X) -o HSbase2.o $(filter     Text/%, $(GHCI_LIBOBJS))
	$(LD) -r $(LD_X) -o HSbase3.o $(filter-out GHC/% Text/%, $(GHCI_LIBOBJS))
	@touch HSbase.o
endif # OBJECT_FILEFORMAT = PEi

=== fptools/libraries/haskell-src/Makefile ===
# -----------------------------------------------------------------------------
# $Id: Makefile,v 1.11 2003/11/11 11:50:53 simonmar Exp $

TOP=..
include $(TOP)/mk/boilerplate.mk

ALL_DIRS     = Language/Haskell Language/Haskell/TH
PACKAGE      = haskell-src
PACKAGE_DEPS = base

Language/Haskell/Parser_HC_OPTS += -Onot -fno-warn-incomplete-patterns
Language/Haskell/THSyntax_HC_OPTS += -fglasgow-exts

SRC_HADDOCK_OPTS += -t "Haskell Hierarchical Libraries ($(PACKAGE) package)"

include $(TOP)/mk/target.mk

=== fptools/libraries/network/Makefile ===
# -----------------------------------------------------------------------------
# $Id: Makefile,v 1.19 2003/11/11 11:50:53 simonmar Exp $

TOP=..
include $(TOP)/mk/boilerplate.mk

SUBDIRS		= include

ALL_DIRS	= Network
PACKAGE		= network
PACKAGE_DEPS	= base

SRC_HC_OPTS	+= -Iinclude -\#include HsNet.h
SRC_CC_OPTS     += -Iinclude -I. -I$(GHC_INCLUDE_DIR)
SRC_HSC2HS_OPTS += -Iinclude

Network/Socket_HC_OPTS += -cpp

EXTRA_SRCS += cbits/HsNet.c

# Only bother with cbits/initWinSock.c when it's really needed.
ifeq "$(TARGETPLATFORM)" "i386-unknown-mingw32"
EXTRA_SRCS += cbits/initWinSock.c cbits/winSockErr.c cbits/asyncAccept.c
Network/Socket_HC_OPTS += -DCALLCONV=stdcall
else
EXTRA_SRCS += cbits/ancilData.c
Network/Socket_HC_OPTS += -DCALLCONV=ccall
endif

SRC_HADDOCK_OPTS += -t "Haskell Core Libraries (network package)"

include $(TOP)/mk/target.mk
